package com.elephant.framework.galaxy.aroad.module.zhjc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjh;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhCapital;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhGhjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.mapper.ZhjcGhjhGhjdzbMapper;
import com.elephant.framework.galaxy.aroad.module.zhjc.mapper.ZhjcGhjhMapper;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhService;
import lombok.AllArgsConstructor;
import net.sf.json.JSONObject;
import org.springframework.stereotype.Service;

import java.util.Iterator;
import java.util.UUID;

/**
 * 智慧决策_规划计划
 *
 * @author wangjian
 * @date 2019-05-27 14:23:44
 */
@Service
@AllArgsConstructor
public class ZhjcGhjhServiceImpl extends ServiceImpl<ZhjcGhjhMapper, ZhjcGhjh> implements ZhjcGhjhService {

    final ZhjcGhjhMapper zhjcGhjhMapper;

    /**
     * 修改规划计划
     * @param zhjcGhjh
     * @return
     */
    public Integer updateZhjcGhjh(ZhjcGhjh zhjcGhjh) {
        String xmjd = zhjcGhjh.getXmjd();
        LambdaQueryWrapper<ZhjcGhjh> lambdaQueryWrapper =null;

        if(xmjd.startsWith("2")) {
            lambdaQueryWrapper = Wrappers.<ZhjcGhjh>query().lambda().eq(ZhjcGhjh::getCrowid,zhjcGhjh.getCrowid()).eq(ZhjcGhjh::getXmjd,zhjcGhjh.getXmjd());
        }else {
            lambdaQueryWrapper = Wrappers.<ZhjcGhjh>query().lambda().eq(ZhjcGhjh::getXmid,zhjcGhjh.getXmid()).eq(ZhjcGhjh::getXmjd,zhjcGhjh.getXmjd());
        }
        return zhjcGhjhMapper.update(zhjcGhjh,lambdaQueryWrapper);
    }


    /**
     * 字段名称转小写
     * @return
     */
    public ZhjcGhjh updateKeyName(ZhjcGhjhCapital zhjcGhjhCapital) {
        ZhjcGhjh zhjcGhjh = new ZhjcGhjh();
        zhjcGhjh.setBz(zhjcGhjhCapital.getBZ());
        zhjcGhjh.setCreateTime(zhjcGhjhCapital.getCREATETIMEe());
        zhjcGhjh.setCrowid(zhjcGhjhCapital.getCROWID());
        zhjcGhjh.setDateTime(zhjcGhjhCapital.getDATETIME());
        zhjcGhjh.setJsgm(zhjcGhjhCapital.getJSGM());
        zhjcGhjh.setJsxn(zhjcGhjhCapital.getJSNX());
        zhjcGhjh.setJsxz(zhjcGhjhCapital.getJSXZ());
        zhjcGhjh.setNdStz(zhjcGhjhCapital.getNDSTZ());
        zhjcGhjh.setNdZtz(zhjcGhjhCapital.getNDZTZ());
        zhjcGhjh.setNdZytz(zhjcGhjhCapital.getZYTZ());
        zhjcGhjh.setQqxmjz(zhjcGhjhCapital.getQQXMJZ());
        zhjcGhjh.setTbdwdm(zhjcGhjhCapital.getTBDWDM());
        zhjcGhjh.setTbdwmc(zhjcGhjhCapital.getTBDWMC());
        zhjcGhjh.setXmbm(zhjcGhjhCapital.getXMBM());
        zhjcGhjh.setXmid(zhjcGhjhCapital.getXMID());
        zhjcGhjh.setXmjd(zhjcGhjhCapital.getXMJD());
        zhjcGhjh.setXmjdhy(zhjcGhjhCapital.getXMJDHY());
        zhjcGhjh.setXmlx(zhjcGhjhCapital.getXMLX());
        zhjcGhjh.setXmmc(zhjcGhjhCapital.getXMMC());
        zhjcGhjh.setYxdstzYearLast(zhjcGhjhCapital.getYXDSTZYEARLAST());
        zhjcGhjh.setYxdstzYearThis(zhjcGhjhCapital.getYXDSTZYEARTHIS());
        zhjcGhjh.setYxdzytzYearLast(zhjcGhjhCapital.getYXDZYTZYEARLAST());
        zhjcGhjh.setYxdzytzYearThis(zhjcGhjhCapital.getYXDZYTZYEARTHIS());
        zhjcGhjh.setZtz(zhjcGhjhCapital.getZTZ());
        zhjcGhjh.setZySTz(zhjcGhjhCapital.getZYSTZ());
        zhjcGhjh.setZytz(zhjcGhjhCapital.getZYTZ());
        return zhjcGhjh;
    }
}
